---
lang: en
title: 'API docs: rest.rawbodyparser._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.rawbodyparser._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RawBodyParser](./rest.rawbodyparser.md) &gt; [(constructor)](./rest.rawbodyparser._constructor_.md)

## RawBodyParser.(constructor)

Constructs a new instance of the `RawBodyParser` class

**Signature:**

```typescript
constructor(options?: RequestBodyParserOptions);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | [RequestBodyParserOptions](./rest.requestbodyparseroptions.md) | _(Optional)_ |


